Reinforcement ColumnRebars Circular/pt-br: Difference between revisions

From FreeCAD Documentation
(Part of translatable page "Arch Rebar Circular ColumnReinforcement")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav
{{Docnav
Line 12: Line 13:


{{GuiCommand
{{GuiCommand
|Name=Reinforcement ColumnRebars
|Name=Arch Rebar ColumnReinforcement
|MenuLocation=Reinforcement → Column Reinforcement, ArchRebar tools
|MenuLocation=Arch → Rebar tools → Column Reinforcement<br>3D/BIMReinforcement tools → Column Reinforcement
|Workbenches=[[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|Workbenches=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|Version=0.19
|Version=0.19
|SeeAlso=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars|Arch ColumnReinforcement TwoTiesSixRebars]], [[Arch_Rebar|Arch Rebar]]
|SeeAlso=[[Reinforcement_ColumnRebars|Reinforcement ColumnRebars]], [[Reinforcement_ColumnRebars_TwoTiesSixRebars|Reinforcement ColumnRebars TwoTiesSixRebars]]
}}
}}


Line 22: Line 23:
==Descrição==
==Descrição==


The [[Arch_Rebar_Circular_ColumnReinforcement|Column Reinforcement]] tool allows the user to create reinforcing bars inside a Column [[Arch Structure|Arch Structure]] object.
The [[Reinforcement_ColumnRebars|Reinforcement ColumnRebars]] tool allows the user to create reinforcing bars inside a Column [[Arch Structure|Arch Structure]] object. This page shows an additional usage example for the tool.


This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.
This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].


[[Image:Arch_Rebar_Circular_ColumnReinforcement_example.png|400px]]
[[Image:Arch_Rebar_Circular_ColumnReinforcement_example.png|400px]]
Line 32: Line 33:
==Utilização==
==Utilização==


1. Select top face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object. <br>
1. Select top face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object.

2. Then select {{Button|[[Image:Arch_Rebar_ColumnReinforcement.svg|16px]] [[Arch Rebar ColumnReinforcement|Column Reinforcement]]}} from the rebar tools. <br>
2. Then select {{Button|[[Image:Reinforcement_ColumnRebars.svg|16px]] [[Reinforcement_ColumnRebars|Column Reinforcement]]}} from the rebar tools.

3. A dialog box will pop-out on screen as shown below.
3. A dialog box will pop-out on screen as shown below.


[[Image:ColumnReinforcementDialog_Ties.png|700px]]
: [[Image:ColumnReinforcementDialog_Ties.png|700px]]
{{Caption|Dialog Box for the Arch Rebar ColumnReinforcement tool}}
: {{Caption|Dialog Box for the Arch Rebar ColumnReinforcement tool}}


4. Select the Circular Column radio button in column reinforcement dialog.
4. Select the Circular Column radio button in column reinforcement dialog.


[[Image:CircularColumnReinforcementDialog.png|700px]]
: [[Image:CircularColumnReinforcementDialog.png|700px]]
{{Caption|Dialog Box for Circular Column Reinforcement}}
: {{Caption|Dialog Box for Circular Column Reinforcement}}

5. Give inputs for data related to circular column reinforcement.


5. Give inputs for data related to circular column reinforcement. <br>
6. Click {{Button|OK}} or {{Button|Apply}} to generate circular column reinforcement.
6. Click {{Button|OK}} or {{Button|Apply}} to generate circular column reinforcement.


7. Click {{Button|Cancel}} to exit the dialog box. <br>
7. Click {{Button|Cancel}} to exit the dialog box.



<span id="Properties"></span>
<span id="Properties"></span>
==Propriedades==
==Propriedades==


'''Helical Rebars:'''
'''Helical Rebars:'''

* {{PropertyData|Side Cover}}: The distance between rebar to the curved face.
* {{PropertyData|Side Cover}}: The distance between rebar to the curved face.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
Line 61: Line 65:


'''Main Rebars:'''
'''Main Rebars:'''

* {{PropertyData|Top Offset}}: The distance between rebars from the top face of the structure.
* {{PropertyData|Top Offset}}: The distance between rebars from the top face of the structure.
* {{PropertyData|Bottom Offset}}: The distance between rebars from the bottom face of the structure.
* {{PropertyData|Bottom Offset}}: The distance between rebars from the bottom face of the structure.
Line 71: Line 76:
{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The ColumnReinforcement tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Reinforcement ColumnRebars_Circular tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


=== Create Circular Column Reinforcement ===
=== Create Circular Column Reinforcement ===
Line 90: Line 95:
facename=None,
facename=None,
)
)

}}
}}


Line 102: Line 106:
* {{incode|number_angle_check}} if it is {{incode|True}} it will create as many main rebars as given by {{incode|number_angle_value}}; if it is {{incode|False}} it will create main rebars at an angle of {{incode|number_spacing_value}}, specified in degrees.
* {{incode|number_angle_check}} if it is {{incode|True}} it will create as many main rebars as given by {{incode|number_angle_value}}; if it is {{incode|False}} it will create main rebars at an angle of {{incode|number_spacing_value}}, specified in degrees.
* {{incode|number_angle_value}} specifies the number of main rebars, or the value of the angle between the main rebars, depending on {{incode|number_angle_check}}.
* {{incode|number_angle_value}} specifies the number of main rebars, or the value of the angle between the main rebars, depending on {{incode|number_angle_check}}.



<span id="Example"></span>
<span id="Example"></span>
Line 130: Line 133:
facename="Face3",
facename="Face3",
).rebar_group
).rebar_group

}}
}}


=== Edition of Circular Column Reinforcement ===
=== Edition of Circular Column Reinforcement ===

You can change the properties of the helical and main rebars with the following function
You can change the properties of the helical and main rebars with the following function:


{{Code|code=
{{Code|code=
Line 152: Line 155:
facename=None,
facename=None,
)
)

}}
}}


Line 180: Line 182:
facename="Face3",
facename="Face3",
)
)

}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 194: Line 196:
</div>
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:External_Command_Reference{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]

{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

[[Category:Reinforcement{{#translation:}}]]

Revision as of 21:40, 9 March 2024

Other languages:

Reinforcement ColumnRebars

Menu location
Arch → Rebar tools → Column Reinforcement
3D/BIM → Reinforcement tools → Column Reinforcement
Workbenches
Reinforcement, Arch, BIM
Default shortcut
None
Introduced in version
0.19
See also
Reinforcement ColumnRebars, Reinforcement ColumnRebars TwoTiesSixRebars

Descrição

The Reinforcement ColumnRebars tool allows the user to create reinforcing bars inside a Column Arch Structure object. This page shows an additional usage example for the tool.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Circular Column Reinforcement inside a Column Arch Structure

Utilização

1. Select top face of a previously created Arch Structure object.

2. Then select Column Reinforcement from the rebar tools.

3. A dialog box will pop-out on screen as shown below.

Dialog Box for the Arch Rebar ColumnReinforcement tool

4. Select the Circular Column radio button in column reinforcement dialog.

Dialog Box for Circular Column Reinforcement

5. Give inputs for data related to circular column reinforcement.

6. Click OK or Apply to generate circular column reinforcement.

7. Click Cancel to exit the dialog box.

Propriedades

Helical Rebars:

  • DadosSide Cover: The distance between rebar to the curved face.
  • DadosTop Cover: The distance between rebar from the top face of the structure.
  • DadosBottom Cover: The distance between rebar from the bottom face of the structure.
  • DadosPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DadosDiameter: Diameter of the rebar.

Main Rebars:

  • DadosTop Offset: The distance between rebars from the top face of the structure.
  • DadosBottom Offset: The distance between rebars from the bottom face of the structure.
  • DadosDiameter: Diameter of the main rebars.
  • DadosNumber: The number of main rebars.
  • DadosAngle: The angular distance between ties.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Reinforcement ColumnRebars_Circular tool can be used in macros and from the Python console by using the following function:

Create Circular Column Reinforcement

RebarGroup = CircularColumn.makeReinforcement(
    s_cover,
    helical_rebar_t_offset,
    helical_rebar_b_offset,
    pitch,
    dia_of_helical_rebar,
    main_rebars_t_offset,
    main_rebars_b_offset,
    dia_of_main_rebars,
    number_angle_check,
    number_angle_value,
    structure=None,
    facename=None,
)
  • Creates a RebarGroup object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, helical_rebar_t_offset, and helical_rebar_b_offset are inner offset distances for the helical rebar with respect to the faces of the structure. They are respectively the side, top and bottom offsets.
  • pitch is the parameter that determines how close or far apart each helical loop is to each other.
  • dia_of_helical_rebar is the diameter of the helical rebar inside the structure.
  • main_rebars_t_offset and main_rebars_b_offset are inner offset distances for the main rebars with respect to the top and bottom faces of the structure, respectively.
  • dia_of_main_rebars is the diameter of the main rebars.
  • number_angle_check if it is True it will create as many main rebars as given by number_angle_value; if it is False it will create main rebars at an angle of number_spacing_value, specified in degrees.
  • number_angle_value specifies the number of main rebars, or the value of the angle between the main rebars, depending on number_angle_check.

Exemplo

import FreeCAD, Draft, Arch
from ColumnReinforcement import CircularColumn

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

RebarGroup = CircularColumn.makeReinforcement(
    s_cover=20,
    helical_rebar_t_offset=40,
    helical_rebar_b_offset=40,
    pitch=50,
    dia_of_helical_rebar=8,
    main_rebars_t_offset=20,
    main_rebars_b_offset=20,
    dia_of_main_rebars=16,
    number_angle_check=True,
    number_angle_value=6,
    structure=Structure,
    facename="Face3",
).rebar_group

Edition of Circular Column Reinforcement

You can change the properties of the helical and main rebars with the following function:

rebar_group = editReinforcement(
    rebar_group,
    s_cover,
    helical_rebar_t_offset,
    helical_rebar_b_offset,
    pitch,
    dia_of_helical_rebar,
    main_rebars_t_offset,
    main_rebars_b_offset,
    dia_of_main_rebars,
    number_angle_check,
    number_angle_value,
    structure=None,
    facename=None,
)
  • rebar_group is a previously created ColumnReinforcement group object.
  • The other parameters are the same as required by the makeSingleTieFourRebars() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.

Exemplo

from ColumnReinforcement import CircularColumn

rebar_group = CircularColumn.editReinforcement(
    rebar_group,
    s_cover=30,
    helical_rebar_t_offset=30,
    helical_rebar_b_offset=30,
    pitch=60,
    dia_of_helical_rebar=10,
    main_rebars_t_offset=-30,
    main_rebars_b_offset=-30,
    dia_of_main_rebars=18,
    number_angle_check=False,
    number_angle_value=45,
    structure=Structure,
    facename="Face3",
)